Package org.gradle.api.specs

# Class CompositeSpec<T>

java.lang.Object
org.gradle.api.specs.CompositeSpec<T>

Type Parameters:
  `T` - The target type for this Spec

All Implemented Interfaces:
  `Spec<T>`

Direct Known Subclasses:
  `AndSpec`, `OrSpec`

public abstract class CompositeSpec<T> extends Object implements Spec<T>
A `Spec` which aggregates a sequence of other `Spec` instances.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CompositeSpec()`
`protected`
`CompositeSpec(Iterable<? extends Spec<? super T>> specs)`
`protected`
`CompositeSpec(Spec<? super T>... specs)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`List<Spec<? super T>>`
`getSpecs()`
`int`
`hashCode()`
`boolean`
`isEmpty()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.gradle.api.specs.Spec

`isSatisfiedBy`

## Constructor Details

### CompositeSpec

protected CompositeSpec()

### CompositeSpec

protected CompositeSpec(Spec<? super T>... specs)

### CompositeSpec

protected CompositeSpec(Iterable<? extends Spec<? super T>> specs)

## Method Details

### getSpecs

public List<Spec<? super T>> getSpecs()

### isEmpty

public boolean isEmpty()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`